/*
 * Map_base.css
*/

div .olControlAttribution {
	bottom: 0.5em;
	left: 3px;
}

.olFramedMarkerPopupContent {
	min-width: 1em;
}

	.olFramedMarkerPopupContent h1, #atMapSpurForm .olFramedMarkerPopupContent h1 {
		padding: 0;
		margin: 0;
		font-size: 16px;
		text-align: center;
		display: block;
	}

.simpleToolTip {
	background-color: white;
}

.infoResult {
	margin: 1px !important;
	border: none !important;
	padding: 0 !important;
}

	.infoResult .olPopupCloseBox {
		position: absolute;
		top: -2px;
		right: -2px;
		width: 17px;
		height: 17px;
	}

.atJQPopUp {
	overflow-y: auto;
	overflow: hidden;
	max-height: 400;
}

.olControlScaleLine {
	left: auto !important;
	right: 4px !important;
}

#atResults legend .ui-icon {
	display: none
}

.atJQPopUp .infoResult .atPopupFirstP {
	margin-top: 0;
}

.atJQPopUp .infoResult .atPopupLastP {
	margin-bottom: 0;
}

.olPopupCloseBox {
	height: 16px !important;
	width: 16px !important;
	top: 7px !important;
	right: 5px !important;
	position: absolute;
}

.olQuadrant-tl .olPopupCloseBox {
	right: 10px !important;
}

.olQuadrant-tr .olPopupCloseBox {
	top: 10px !important;
}

.olQuadrant-bl .olPopupCloseBox {
	top: 9px !important;
	right: 10px !important;
}

.olQuadrant-br .olPopupCloseBox {
	top: 9px !important;
	right: 9px !important;
}

.olControlPanZoomBar {
	font-size: 0;
}

.atMapContent {
	border: 1px solid #ddd;
}

body div .olControlAttribution {
	bottom: 0.5em;
	left: 3px; /* Limit the width to avoid       clashing with the scale bar */
	max-width: 60%; /* Ensure the line height is       sensible when text wraps on       to more than one line */
	line-height: 1.2em;
}

.olFramedMarkerPopupContent {
	min-width: 1em;
}

	.olFramedMarkerPopupContent h1, #atMapSpurForm .olFramedMarkerPopupContent h1 {
		padding: 0;
		margin: 0;
		font-size: 16px;
		text-align: center;
		display: block;
	}

#atPanel-mapsourceswitcher,
#atPanel-findnearest,
#atPanel-takemeto,
#atPanel-searchfor,
#atPanel-showmapcategories {
	padding: 2px;
	font-size: 12px;
}

#mapsourceswitcher,
#findnearest,
#takemeto,
#searchfor,
#showmapcategories {
	padding: 0.3em 0 0 0;
}

.olPopup {
	max-width: 250px;

}

.atPopupFeatureInfo * {
	margin: 0;
	padding: 0;
}

#atMap .atPopupFeatureInfo {
	max-width: 250px;
	height: 100%;
	overflow-y: auto;
}

.olFramedMarkerPopupContent .atPopupFeatureInfo {
	display: none;
}

.olFramedCompactPopupContent {
	top: 9px !important;
}

/* override any max-width image settings (e.g. bootstrap.css) */
#atMap img.olTileImage {
	max-width: none;
}

#atMap .atPopupFeatureInfo h3 {
	font-size: 13px;
	margin-right: 15px !important;
}


#atMap .atPopupFeatureInfo h3,
#atMap .atPopupFeatureInfo .infoResult {
	margin: 0 0 0.4em;
}

.atJQPopUp p {
	margin: 0;
}


#atMap .atPopupFeatureInfo .contentDisplay {
	margin-bottom: 0.5em;
    height: calc( 100% - 0.5em );
}

.atBaseMapSwitcher {
	position: absolute;
	top: 7px;
	right: 5px;
	z-index: 10000;
	border: medium none;
	background: none repeat scroll 0% 0% transparent;
}

	.atBaseMapSwitcher ul {
		list-style-type: none;
		margin: 0px;
		padding: 0px;
	}

	.atBaseMapSwitcher li {
		position: relative;
		display: inline;
		margin: 0px;
	}

	.atBaseMapSwitcher a {
		padding: 3px;
		font-size: 13px;
		display: block;
		float: left;
		text-decoration: none;
		border-width: 1px;
		border-style: solid;
		border-color: #ccc #666 #666 #ccc;
		box-shadow: inset 0 -0.5em 0.5em rgba(64, 32, 32, 0.1);
		background-color: #fafafa;
		color: #333;
	}


	.atBaseMapSwitcher ul li:first-child a {
		-moz-border-top-left-radius: 4px;
		-webkit-border-top-left-radius: 4px;
		border-top-left-radius: 4px;
		-moz-border-bottom-left-radius: 4px;
		-webkit-border-bottom-left-radius: 4px;
		border-bottom-left-radius: 4px;
	}


	.atBaseMapSwitcher ul li:last-child a {
		-moz-border-top-right-radius: 4px;
		-webkit-border-top-right-radius: 4px;
		border-top-right-radius: 4px;
		-moz-border-bottom-right-radius: 4px;
		-webkit-border-bottom-right-radius: 4px;
		border-bottom-right-radius: 4px;
		box-shadow: inset -0.5em -0.5em 0.5em rgba(64, 32, 32, 0.1);
	}

	.atBaseMapSwitcher ul li a.atBM-active {
		border-width: 1px;
		border-style: solid;
		border-color: #666 #ccc #ccc #666;
		box-shadow: inset 0 0.5em 0.5em rgba(64, 32, 32, 0.1);
	}

	.atBaseMapSwitcher ul li:first-child a.atBM-active {
		box-shadow: inset 0.5em 0.5em 0.5em rgba(64, 32, 32, 0.1);
	}



.atMainLayersGroup {
}

	.atMainLayersGroup h3 {
		margin: 0 !important;
		padding: 4px !important;
		cursor: pointer !important;
		border-width: 0 !important;
		font-size: 1em !important;
		position: relative !important;
		font-weight: normal !important;
	}

		.atMainLayersGroup h3 .collapser {
			width: 16px;
			height: 16px;
			float: left !important;
			margin-top: -1px !important;
		}

	.atMainLayersGroup .atMainLayersGroupContent {
		zoom: 100%;
	}

	.atMainLayersGroup ol {
		padding: 4px;
		margin: 0;
		list-style: none;
		background: white;
	}

.atLayerSet .ui-icon-info {
	cursor: pointer;
}


.atMainLayersGroup ol li.atLayerSet {
	padding: 4px;
	border-bottom: 1px dotted #CCC;
	position: relative;
}

.atMainLayersGroup ol li.error {
	background-color: #faa;
}

.atMainLayersGroup ol li.atLayerSet .atLayerLegendImg {
	display: none;
}

#atPanel-showmapcategories .atMainLayersGroup ol li.atLayerSet .atLayerLegendImg {
	margin-top: 6px;
}

.atMainLayersGroup ol li.atLegendImgShown .atLayerLegendImg {
	display: block;
}

.atThematicLayer .atLayerLegendImg {
	display: none !important;
}


.atMainLayersGroup ol li.atLayerSet:last-child {
	border-bottom: none;
}

.atMainLayersGroup ol li .atQueryLink img {
	border: none;
	margin-top: -3px;
}

.atMainLayersGroup ol li .atLayerLink {
	display: block;
	width: 80%;
	position: relative;
}

	.atMainLayersGroup ol li .atLayerLink img {
		position: absolute;
		border: none;
	}

	.atMainLayersGroup ol li .atLayerLink span {
		padding: 5px 3px 3px 0;
		display: block;
		font-weight: normal;
	}

		.atMainLayersGroup ol li .atLayerLink span.atNoIconSpaceFix {
			padding-left: 0;
		}

.atMainLayersGroup ol li .atChkboxOutrWpr {
	position: absolute;
	right: 0;
	top: 8px;
}

	.atMainLayersGroup ol li .atChkboxOutrWpr .ui-state-error {
	}

/*IE7 fix*/
*:first-child + html .atRightFloated .atMainLayersGroup ol li .atChkboxInrWpr .atVckb {
	margin-right: 15px;
}

.atMainLayersGroup ol li .atChkboxOutrWpr .atChkboxInrWpr {
	text-align: right;
	position: relative;
}

.atMainLayersGroup h3 .atHeadingOpts {
	position: absolute;
	right: 0;
	top: 0;
}

/*IE7 fix*/
*:first-child + html .atMainLayersGroup h3 .atHeadingOpts {
	margin-left: 47px;
}

	.atMainLayersGroup h3 .atHeadingOpts .atLayerOptionsHandlerHeading {
		margin-top: -20px !ie;
	}

	.atMainLayersGroup h3 .atHeadingOpts .atLayerOptionsHeading {
		margin-top: -3px;
		position: absolute;
		right: 10px;
		top: 0;
		z-index: 5000;
	}

		.atMainLayersGroup h3 .atHeadingOpts .atLayerOptionsHeading ul {
			list-style: none;
			padding: 0;
			margin: 0;
			width: 20px;
			text-align: center;
		}

.atMapLayersCounterStatus {
	float: right;
	margin-right: 1px;
	padding-right: 0;
	position: relative;
	text-align: right;
	vertical-align: top;
}

h3 .atMapLayersCounterStatus input {
	margin: 2px 0 0 5px;
	padding: 0;
	border: 0;
	vertical-align: top;
}

#atPWparent .atJQPanelHeader {
	padding: 0.5em 0.3em 0.5em 0.7em;
	cursor: pointer;
	display: block;
	text-decoration: none;
}

.ishare-sort-placeholder {
	background-color: transparent;
	color: #333;
	opacity: 0.4;
	filter: alpha(opacity=40);
	border: 1px dashed #333;
	border-radius: 2px;
	margin-bottom: 0.5em;
	box-shadow: 0.3em 0.3em 0.5em rgb(128, 128, 128);
}

#atPWparent .atPnlDrgr {
	top: 0.4em;
	left: 0px;
}

#atPWparent .ui-dialog,
#atPWparent .ui-dialog-content {
	font-size: 12px;
	cursor: default;
}

#atPWparent .ui-dialog {
	margin-bottom: 5px;
}

#atPWparent .ui-dialog-titlebar {
	margin-bottom: 2px;
}

#atPWparent .ui-dialog-content {
	overflow: hidden;
	padding: 0;
}

li.atLegendImgShown,
img.atLegendImage {
	background-color: #fff;
}

#searchfor p {
	margin-bottom: 0.2em;
	margin-top: 0.4em;
}
/* Dumped from ishare-map.css */

.ishare-icon-s,
.ishare-icon-l,
.ishare-button,
.ishare-tabs {
	display: inline-block;
	border: 1px solid #909090;
	background-color: #fff;
	color: rgb(26, 26, 26);
	background-image: url(../images/icons.png);
	background-position: -9999px -9999px, 0 0;
	background-repeat: no-repeat;
}

	.ishare-icon-s:hover,
	.ishare-icon-l:hover,
	.ishare-button:hover {
		box-shadow: 0 1px 1px rgba(0,0,0,.1);
		background-color: #d0d0d0;
		border-color: #505050;
		background-image: url(../images/icons.png);
		background-position: -9999px -9999px, 0 0;
		background-repeat: no-repeat;
		cursor: pointer;
	}

.ishare-icon-s, .ishare-icon-l {
	text-indent: -999999px;
}

.ishare-icon-s {
	height: 12px;
	width: 12px;
	border-width: 1px;
	border-radius: 2px;
}

.ishare-icon-l {
	height: 24px;
	width: 24px;
	border-width: 1px;
	border-radius: 4px;
}

	.ishare-icon-s.ishare-icon-metadata,
	.ishare-icon-l.ishare-icon-metadata,
	.ishare-icon-s.ishare-action,
	.ishare-icon-l.ishare-action,
	.ishare-button-OK,
	.ishare-button.ishare-action {
		background-color: #36f;
		color: #fafafa;
		border-color: #37e;
		background-image: url(../images/icons.png), linear-gradient(#59f,#37e);
	}

		.ishare-icon-s.ishare-icon-metadata:hover,
		.ishare-icon-l.ishare-icon-metadata:hover,
		.ishare-icon-s.ishare-action:hover,
		.ishare-icon-l.ishare-action:hover,
		.ishare-button-OK:hover,
		.ishare-button.ishare-action:hover {
			border-color: #25c;
			background-color: #357AE8;
			background-image: url(../images/icons.png), linear-gradient(#59f,#26d);
		}

		.ishare-icon-s.ishare-icon-metadata,
		.ishare-icon-s.ishare-icon-metadata:hover {
			background-position: -354px -50px;
			background-position: -354px -50px, 0 0;
		}

		.ishare-icon-l.ishare-icon-metadata,
		.ishare-icon-l.ishare-icon-metadata:hover {
			background-position: -100px -68px;
			background-position: -100px -68px, 0 0;
		}


/*Findnearest and searchfor panel css*/
#findnearest select, #searchfor select,
#findnearest input,
#findnearest a.ui-state-default, #searchfor a.ui-state-default {
	outline: none;
}

#findnearest select, #searchfor select {
	margin-bottom: 3px;
	margin-left: 3px;
	padding: 2px 0;
	width: 294px;
}

#findnearest input {
	float: right;
	margin: 1px;
	padding: 4px 2px;
}


#findnearest a.ui-state-default, #searchfor a.ui-state-default {
	padding: 2px;
	margin-top: 4px;
	float: left;
	text-align: center;
	text-decoration: none;
}

#searchfor input {
	width: 284px;
	padding: 4px;
	margin: 3px;
	margin-bottom: 3px;
}

#searchfor #atSearchforBtn {
	margin-bottom: 0;
	width: auto;
	float: right;
	margin: 1px;
	padding: 4px 2px;
}
/*End of findnearest and searchfor panel css*/

/*
	fix for too much space on the right of the
	map categories panel, but still need enough
	so a scrollbar can appear without the content
	going underneath it
*/
.atPanelInnerWrapper .ui-dialog {
	width: 310px;
}

/*
	fix for the pan/zoom bar going underneath the
	show/hide map categories button container
*/
.olControlPanZoomBar {
	left: 20px !important;
}

#atMapLoader {
	background-color: rgba(0, 0, 0, 0.16);
	position: absolute;
}

	#atMapLoader .ishare-dialog-inner {
		pointer-events: all !important;
	}

img.olTileImage {
	-webkit-transform: inherit;
	-moz-transform: inherit;
	-o-transform: inherit;
	-ms-transform: inherit;
	transform: inherit;
	-webkit-backface-visibility: inherit;
	-moz-backface-visibility: inherit;
	-ms-backface-visibility: inherit;
	backface-visibility: inherit;
	-webkit-perspective: inherit;
	-moz-perspective: inherit;
	-ms-perspective: inherit;
	perspective: inherit;
}
